Skip to content

Get the current authenticated user

GET
/v1/users/me

Returns the authenticated user’s profile information.

Response for status 200

object
id
required

Unique identifier for the user

string
email
required
Any of:

User’s email address

string format: email
firstName
required
Any of:

User’s first name

string
signedUpAt
required

ISO 8601 timestamp of when the user was created

string format: date-time
timezone
required
Any of:

User’s timezone in IANA format

string
notificationPreferences
required

User’s notification preferences by type

Array<object>

A notification preference for a specific notification type

object
type
required
string
Allowed values: cardTransaction.approved cardTransaction.declined credit.added
email
required

Whether email notifications are enabled for this type

boolean
default: true
mobile
required

Whether mobile notifications are enabled for this type

boolean
verification
required

User’s identity verification status and any pending requirements

object
status
required
string
Allowed values: not_started verified failed disabled retry
country
required
Any of:

ISO 3166-1 alpha-2 country code where user was verified

string
requirement

A requirement that must be fulfilled to access certain features

object
type
required
string
Allowed values: identity_verification terms_acceptance additional_verification document_submission
description

Human-readable description of what needs to be done

string
actionUrl
Any of:

URL where the user can complete this requirement

string
retryable

Whether this requirement can be retried after failure

boolean
status
required
string
Allowed values: not_started pending completed failed
capabilities
required

User’s available capabilities and their requirements

Array<object>

Individual capability with its own requirements and status

object
type
required
string
Allowed values: ach_push wire_push sepa_push ach_payout rtp_payout wire_payout push_to_debit ca_eft_payout us_bill_pay crypto_card
name
required

Human-readable name for this capability

string
description
required

Description of what this capability enables

string
direction
required
string
Allowed values: fiat_to_crypto crypto_to_fiat
status
required
string
Allowed values: active requirements_needed not_available pending
nextRequirement
string
Allowed values: identity_verification terms_acceptance additional_verification document_submission
requirements
required

List of requirements that must be met to activate this capability

Array<object>

A requirement that must be fulfilled to access certain features

object
type
required
string
Allowed values: identity_verification terms_acceptance additional_verification document_submission
description

Human-readable description of what needs to be done

string
actionUrl
Any of:

URL where the user can complete this requirement

string
retryable

Whether this requirement can be retried after failure

boolean
status
required
string
Allowed values: not_started pending completed failed

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string